<?php
#########################################
# Скрипт онлайн игры "Стритрейсинг"_____#
# Автор: -=FеST=-(СиК)__________________#
# ICQ : 345-22-23_______________________#
# Все права принадлежат автору(-=FeST=-)#
#########################################
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
$set['title']='Стритрейсинг';
include_once '../sys/inc/thead.php';
title();
err();
aut();

if(!isset($user)){
echo 'Вы неавторизованы';
include_once '../sys/inc/tfoot.php';
exit;
}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `racing` WHERE `id_u`='".$user['id']."'"),0)==0)
mysql_query("INSERT INTO `racing`(`id_u`) VALUES('".$user['id']."')");

  $arr=mysql_fetch_array(mysql_query("SELECT * FROM `racing` WHERE `id_u`='".$user['id']."'"));
   $car=mysql_fetch_array(mysql_query("SELECT * FROM `racing_car` WHERE `id`='".$arr['car']."'"));
echo "
<div class='aut'>
<img src='ico/exp.gif' alt=''/>".$arr['exp']."
<img src='ico/level.gif' alt=''/>".$arr['level']."
<img src='ico/money.gif' alt=''/>".$arr['money']."
<img src='ico/resp.gif' alt=''/>".$arr['resp']."</div>
<div class='aut'><center>Автосалон</center></div>
";
if(isset($_GET['class'])){


if(isset($_GET['id_car'])){

$arr_m=mysql_fetch_array(mysql_query("SELECT * FROM `racing_car` WHERE `id`='".intval($_GET['id_car'])."'"));
if($arr['level']>=$arr_m['level']){
if($arr['money']>=$arr_m['cost']){
mysql_query("UPDATE `racing` SET `car`='".$arr_m['id']."', `speed`='".$arr_m['m_speed']."', `uprav`='".$arr_m['m_speed']."', `shina`='1', `za`='1', `cz`='1', `zak`='1', `podv`='1', `vpusk`='1', `money`=`money`-$arr_m[cost] WHERE `id_u`='".$user['id']."'");
msg('Машина успешно куплена');
}
else
{
msg('У вас нехватает денег!');
}
}
else
{
msg('У вас слишком низкий уровень!');
}
}



if(isset($_GET['a'])){
$cars=mysql_result(mysql_query("SELECT COUNT(*) FROM `racing_car` WHERE `class`='a'"),0);
$k_page=k_page($cars,2);
$page=page($k_page);
$start=2*$page-2;
$starts=mysql_query("SELECT * FROM `racing_car` WHERE `class`='a' ORDER BY `cost` ASC LIMIT ".$start.",2");
while($crr=mysql_fetch_array($starts)){
echo "<center><img src='car/".$crr['screen']."' alt=''/> <br/>".$crr['name']."</center>
<div class='rowup'>
<img src='ico/race.gif' alt=''/> Скорость : ".$crr['m_speed']." км/ч<br/>
<img src='ico/race.gif' alt=''/> Управление : ".$crr['uprav']."<br/>
<img src='ico/race.gif' alt=''/> Уровень : ".$crr['level']."<br/>
<img src='ico/race.gif' alt=''/> Цена : ".$crr['cost']."<br/>
<form method='post' action='auto.php?class&amp;id_car=".$crr['id']."'>
<input type='submit' name='submit' value='Купить'/></form></div>";
}
if($k_page>1)str('?class&amp;a&amp;',$k_page,$page);
}
if(isset($_GET['b'])){
$cars=mysql_result(mysql_query("SELECT COUNT(*) FROM `racing_car` WHERE `class`='b'"),0);
$k_page=k_page($cars,2);
$page=page($k_page);
$start=2*$page-2;
$starts=mysql_query("SELECT * FROM `racing_car` WHERE `class`='b' ORDER BY `cost` ASC LIMIT ".$start.",2");
while($crr=mysql_fetch_array($starts)){
echo "<center><img src='car/".$crr['screen']."' alt=''/> <br/>".$crr['name']."</center>
<div class='rowup'>
<img src='ico/race.gif' alt=''/> Скорость : ".$crr['m_speed']." км/ч<br/>
<img src='ico/race.gif' alt=''/> Управление : ".$crr['uprav']."<br/>
<img src='ico/race.gif' alt=''/> Уровень : ".$crr['level']."<br/>
<img src='ico/race.gif' alt=''/> Цена : ".$crr['cost']."<br/>
<form method='post' action='auto.php?class&amp;id_car=".$crr['id']."'>
<input type='submit' name='submit' value='Купить'/></form></div>";
}
if($k_page>1)str('?class&amp;b&amp;',$k_page,$page);
}
if(isset($_GET['c'])){
$cars=mysql_result(mysql_query("SELECT COUNT(*) FROM `racing_car` WHERE `class`='c'"),0);

$k_page=k_page($cars,2);
$page=page($k_page);
$start=2*$page-2;
$starts=mysql_query("SELECT * FROM `racing_car` WHERE `class`='c' ORDER BY `cost` ASC LIMIT ".$start.",2");
while($crr=mysql_fetch_array($starts)){
echo "<center><img src='car/".$crr['screen']."' alt=''/> <br/>".$crr['name']."</center>
<div class='rowup'>
<img src='ico/race.gif' alt=''/> Скорость : ".$crr['m_speed']." км/ч<br/>
<img src='ico/race.gif' alt=''/> Управление : ".$crr['uprav']."<br/>
<img src='ico/race.gif' alt=''/> Уровень : ".$crr['level']."<br/>
<img src='ico/race.gif' alt=''/> Цена : ".$crr['cost']."<br/>
<form method='post' action='auto.php?class&amp;id_car=".$crr['id']."'>
<input type='submit' name='submit' value='Купить'/></form></div>";
}
if($k_page>1)str('?class&amp;c&amp;',$k_page,$page);
}
if(isset($_GET['d'])){
$cars=mysql_result(mysql_query("SELECT COUNT(*) FROM `racing_car` WHERE `class`='d'"),0);
$k_page=k_page($cars,2);
$page=page($k_page);
$start=2*$page-2;
$starts=mysql_query("SELECT * FROM `racing_car` WHERE `class`='d' ORDER BY `cost` ASC LIMIT ".$start.",2");
while($crr=mysql_fetch_array($starts)){
echo "<center><img src='car/".$crr['screen']."' alt=''/> <br/>".$crr['name']."</center>
<div class='rowup'>
<img src='ico/race.gif' alt=''/> Скорость : ".$crr['m_speed']." км/ч<br/>
<img src='ico/race.gif' alt=''/> Управление : ".$crr['uprav']."<br/>
<img src='ico/race.gif' alt=''/> Уровень : ".$crr['level']."<br/>
<img src='ico/race.gif' alt=''/> Цена : ".$crr['cost']."<br/>
<form method='post' action='auto.php?class&amp;id_car=".$crr['id']."'>
<input type='submit' name='submit' value='Купить'/></form></div>";
}
if($k_page>1)str('?class&amp;d&amp;',$k_page,$page);
}
echo "<div class='aut'><center>Другие класы</center></div>";
}
echo "<div class='rowup'>
<img src='ico/clas_a.png' alt=''/><a href='auto.php?class&amp;a'> Элитные тачки(клас А)</a><br/>
<img src='ico/clas_b.png' alt=''/><a href='auto.php?class&amp;b'> Премиум тачки(клас B)</a><br/>
<img src='ico/clas_c.png' alt=''/><a href='auto.php?class&amp;c'> Гоночные тачки(клас C)</a><br/>
<img src='ico/clas_d.png' alt=''/><a href='auto.php?class&amp;d'> Городские тачки(клас D)</a><br/>";



echo "<div class='aut'><a style='display:block;' href='index.php'><img src='ico/back.png' alt=''/> Назад</a></div>";




include_once '../sys/inc/tfoot.php';
?>